sata_link_hardreset
Prev | Chapter 4. libata Library | Next

## Name

sata_link_hardreset — reset link via SATA phy reset

## Synopsis

`int sata_link_hardreset (` | struct ata_link * | link,
| const unsigned long * | timing,
| unsigned long | deadline`)`;

## Arguments

`link`

  link to reset

`timing`

  timing parameters { interval, duratinon, timeout } in msec

`deadline`

  deadline jiffies for the operation

## Description

SATA phy-reset `link` using DET bits of SControl register.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno otherwise.

Prev | Up | Next
ata_std_softreset | Home | sata_std_hardreset